function [] = O3_boson_cloud_plot_data()
%This function plots the data in figures 5,6,7, and 8. It requires no input
%arguments, only that the the code is run in the same folder as where the
%text file with the limits are.


% h0 UL plot, figure 5
fid1=fopen('boson_O3_UL_1Hz.txt');
A = textscan(fid1,'%s %f64 %f64');

fs_UL=A{1};
h0s_UL_max=A{2};
h0s_UL_min=A{3};

if iscell(fs_UL)
    fs_UL=str2double(fs_UL);                                                % just a check, to ensure we get an array of frequencies
end

figure;semilogy(fs_UL,h0s_UL_max,'sq-k') %% maximum CR per band
hold on; semilogy(fs_UL,h0s_UL_min,'o-b') %% minimum CR per band


% boson exclusion plot, d=1 kpc, chi=0.9, figure 6 left

files1=dir('boson_O3_mass_exclusion_d1kpc_chi0.9*.txt');

figure;
for file=1:length(files1)                                                   % loop over ages
     fid2=fopen(files1(file).name);
     B=textscan(fid2,'%s %f64');
     Mbh=B{1};
     if iscell(Mbh)
         Mbh=str2double(Mbh);                                                % just a check, to ensure we get an array of frequencies
     end
     mb=B{2};
     semilogy(Mbh,mb,'sq')
     hold on;
end

% boson exclusion plot, d=15 kpc, chi=0.9, figure 6 right

files1=dir('boson_O3_mass_exclusion_d15kpc_chi0.9*.txt');

figure;
for file=1:length(files1)                                                   % loop over ages
     fid2=fopen(files1(file).name);
     B=textscan(fid2,'%s %f64');
     Mbh=B{1};
     if iscell(Mbh)
         Mbh=str2double(Mbh);                                                % just a check, to ensure we get an array of frequencies
     end
     mb=B{2};
     semilogy(Mbh,mb,'sq')
     hold on;
end

% boson exclusion plot, d=1 kpc, chi=0.5, figure 7 left

files1=dir('boson_O3_mass_exclusion_d1kpc_chi0.5*.txt');

figure;
for file=1:length(files1)                                                   % loop over ages
     fid2=fopen(files1(file).name);
     B=textscan(fid2,'%s %f64');
     Mbh=B{1};
     if iscell(Mbh)
         Mbh=str2double(Mbh);                                                % just a check, to ensure we get an array of frequencies
     end
     mb=B{2};
     semilogy(Mbh,mb,'sq')
     hold on;
end


% boson exclusion plot, d=15 kpc, chi=0.5, figure 7 right

files1=dir('boson_O3_mass_exclusion_d15kpc_chi0.5*.txt');

figure;
for file=1:length(files1)                                                   % loop over ages
     fid2=fopen(files1(file).name);
     B=textscan(fid2,'%s %f64');
     Mbh=B{1};
     if iscell(Mbh)
         Mbh=str2double(Mbh);                                                % just a check, to ensure we get an array of frequencies
     end
     mb=B{2};
     semilogy(Mbh,mb,'sq')
     hold on;
end


%%% distance plot, max mass = 50 solar masses, figure 8 left

files_50Mbh=dir('boson_O3_distance_exclusion_Mbhmax50*.txt');

figure;
for file=1:length(files_50Mbh)                                              % loop over ages
    fid2=fopen(files_50Mbh(file).name);
    B=textscan(fid2,'%s %f64');
    mb=B{1};
    dists=B{2};
    if iscell(mb)
        mb=str2double(mb);                                                % just a check, to ensure we get an array of frequencies
    end
    loglog(mb,dists,'sq-')
    hold on;
    
    
end

%%% distance plot, max mass = 100 solar masses, figure 8 right

files_100Mbh=dir('boson_O3_distance_exclusion_Mbhmax100*.txt');

figure;
for file=1:length(files_100Mbh)                                             % loop over ages
    fid2=fopen(files_100Mbh(file).name);
    B=textscan(fid2,'%s %f64');
    mb=B{1};
    dists=B{2};
    if iscell(mb)
        mb=str2double(mb);                                                % just a check, to ensure we get an array of frequencies
    end
    loglog(mb,dists,'sq-')
    hold on;
    
    
end


end

